MODULE init_print_control_mod

! module print_control_mod splitted due to dependency module

CONTAINS

  
  SUBROUTINE init_print_control
  USE print_control_mod, ONLY : set_print_control
  USE ioipsl, ONLY : getin
  USE mod_phys_lmdz_para
  IMPLICIT NONE
    INTEGER :: lunout ! default output file identifier (6==screen)
    INTEGER :: prt_level ! Output level
    LOGICAL :: debug ! flag to specify if in "debug mode"
    LOGICAL :: exist
    INTEGER :: number
    
    !Config  Key  = prt_level
    !Config  Desc = niveau d'impressions de dbogage
    !Config  Def  = 0
    !Config  Help = Niveau d'impression pour le dbogage
    !Config         (0 = minimum d'impression)
    prt_level = 0
    IF (is_master) CALL getin('prt_level',prt_level)
    CALL bcast(prt_level)

    !Config  Key  = lunout
    !Config  Desc = unite de fichier pour les impressions
    !Config  Def  = 6
    !Config  Help = unite de fichier pour les impressions 
    !Config         (defaut sortie standard = 6)
    lunout=6
    IF (is_master) CALL getin('lunout', lunout)
    CALL bcast(lunout)

    IF (is_omp_master) THEN
      IF (lunout /= 5 .and. lunout /= 6) THEN
         INQUIRE(FILE='lmdz.out_0000',EXIST=exist,NUMBER=number)
         IF (exist) THEN
           lunout=number
         ELSE
           OPEN(UNIT=lunout,FILE='lmdz.out_0000',ACTION='write',  &
                STATUS='unknown',FORM='formatted')
         ENDIF
      ENDIF
    ENDIF
    CALL bcast_omp(lunout)

    !Config  Key  = debug
    !Config  Desc = mode debogage
    !Config  Def  = false
    !Config  Help = positionne le mode debogage

    debug = .FALSE.
    IF (is_master) CALL getin('debug',debug)
    CALL bcast(debug)
    
    CALL set_print_control(lunout,prt_level,debug)

  END SUBROUTINE init_print_control

END MODULE init_print_control_mod
