! $Id:$
MODULE phys_cal_mod
! This module contains information on the calendar at the actual time step

  SAVE

  INTEGER :: year_cur      ! current year
  INTEGER :: mth_cur       ! current month
  INTEGER :: day_cur       ! current day
  INTEGER :: days_elapsed  ! number of whole days since start of the simulation 
  INTEGER :: mth_len       ! number of days in the current month
  INTEGER :: year_len      ! number of days in the current year
  REAL    :: hour
  REAL    :: jD_1jan
  REAL    :: jH_1jan
  REAL    :: xjour
  REAL    :: jD_cur  ! jour courant a l'appel de la physique (jour julien)
  REAL    :: jH_cur  ! heure courante a l'appel de la physique (jour julien)
  REAL    :: jD_ref  ! jour du demarage de la simulation (jour julien)


CONTAINS
  
  SUBROUTINE phys_cal_init(annee_ref,day_ref)
  USE IOIPSL, ONLY:  ymds2ju
  IMPLICIT NONE
    INTEGER,INTENT(IN) :: annee_ref
    INTEGER,INTENT(IN) :: day_ref

    CALL ymds2ju(annee_ref, 1, day_ref, 0., jD_ref)
    jD_ref=INT(jD_ref)
  
  END SUBROUTINE  phys_cal_init
  
  
  SUBROUTINE phys_cal_update(julian_day)
    ! This subroutine updates the module saved variables.
    USE IOIPSL, only: ju2ymds, ymds2ju, ioget_mon_len, ioget_year_len
    REAL, INTENT(IN) :: julian_day


    jD_cur=INT(julian_day)
    jH_cur=julian_day-jD_cur 
    
    CALL ju2ymds(jD_cur+jH_cur, year_cur, mth_cur, day_cur, hour)
    CALL ymds2ju(year_cur, 1, 1, 0., jD_1jan)
    
    jH_1jan = jD_1jan - int (jD_1jan)
    jD_1jan = int (jD_1jan) 
    xjour = jD_cur - jD_1jan
    days_elapsed = jD_cur - jD_1jan

    ! Get lenght of acutual month
    mth_len = ioget_mon_len(year_cur,mth_cur)

    year_len = ioget_year_len(year_cur)

  END SUBROUTINE phys_cal_update

END MODULE phys_cal_mod
